using System;
using Server;
using Server.Items;

namespace Server.ACC.CSS.Systems.DarkElf
{
	public class DarkElfSpidersSpitScroll : CSpellScroll
	{
		[Constructable]
		public DarkElfSpidersSpitScroll() : this( 1 )
		{
		}

		[Constructable]
		public DarkElfSpidersSpitScroll( int amount ) : base( typeof( DarkElfSpidersSpitSpell ), 0xE39, amount )
		{
			Name = "Dark Elf Spiders Spit Scroll";
			Hue = 816;
		}

		public DarkElfSpidersSpitScroll( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
