using System;
using Server;
using Server.Items;

namespace Server.ACC.CSS.Systems.DarkElf
{
	public class SpidersWebScroll : CSpellScroll
	{
		[Constructable]
		public SpidersWebScroll() : this( 1 )
		{
		}

		[Constructable]
		public SpidersWebScroll( int amount ) : base( typeof( SpidersWebSpell ), 0xE39, amount )
		{
			Name = "Spiders Web Scroll";
			Hue = 816;
		}

		public SpidersWebScroll( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
