using System;
using Server;
using Server.Items;

namespace Server.ACC.CSS.Systems.DarkElf
{
	public class SummonedFrostSpiderScroll : CSpellScroll
	{
		[Constructable]
		public SummonedFrostSpiderScroll() : this( 1 )
		{
		}

		[Constructable]
		public SummonedFrostSpiderScroll( int amount ) : base( typeof( SummonedFrostSpiderSpell ), 0xE39, amount )
		{
			Name = "Summoned Frost Spider scroll";
			Hue = 816;
		}

		public SummonedFrostSpiderScroll( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
