using System;
using Server;
using Server.Items;

namespace Server.ACC.CSS.Systems.DarkElf
{
	public class SummonedTerathanWarriorScroll : CSpellScroll
	{
		[Constructable]
		public SummonedTerathanWarriorScroll() : this( 1 )
		{
		}

		[Constructable]
		public SummonedTerathanWarriorScroll( int amount ) : base( typeof( SummonedTerathanWarriorSpell ), 0xE39, amount )
		{
			Name = "Summoned Terathan Warrior scroll";
			Hue = 816;
		}

		public SummonedTerathanWarriorScroll( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
